# Get a Bill

This API is used to get an existing [..](https://docs.leanx.io/api-docs/cloud-payment/bill "mention").

## Authentication

LeanX uses **Auth Token** to authenticate in each request's header.

{% hint style="info" %}
**Auth Token** can be retrieved in your portal dashboard under **API** page.
{% endhint %}

**Request Header**

{% code overflow="wrap" %}

```json
{
    "auth-token": "LP-0D7C06DE-MM|7394e58e-edee-4c42-9ca5-bcbc449f1b9f|2141df4a3cb633d5ce8683bb0c55067e5caebfbe07390dde277dc455bcc95c91723a81b5e565c7c02d68fb84e396722563016bf99e576a4b8cdbe4423fbf226b"
}
```

{% endcode %}

## Get a Bill

HTTP Method: <mark style="color:yellow;">POST</mark>

```
https://api.leanx.dev/api/v1/merchant/bill-id
```

**Request Body**

```json
{
    "_id": 50
}
```

**Attributes**

<table><thead><tr><th width="251">Property</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>_id<mark style="color:red;">*</mark></td><td>Number</td><td>Your <a data-mention href="..">..</a> ID</td></tr></tbody></table>

**Response**

```json
{
  "response_code": 2000,
  "description": "SUCCESS",
  "app_version": "/api/v1",
  "talk_to_server_before": "2023-02-01T19:06:38.287043",
  "data": {
    "phone_number": "0182954574",
    "invoice_status_id": 2,
    "collection_id": 16,
    "created_at": "2023-01-31T14:48:53",
    "status": null,
    "bill_transaction_type_id": 1,
    "payment_record_id": 74,
    "updated_at": "2023-01-31T14:48:55",
    "id": 50,
    "total": 1.00,
    "shipping_address_id": null,
    "customer_id": 28,
    "total_amount_with_fee": 1.70,
    "invoice_status": "SUCCESS",
    "account_id": 2,
    "full_name": "Roro",
    "transaction_fee": 0.7,
    "api_key": null,
    "quantity": 1,
    "checking_counter": 1,
    "payment_date": "2023-01-31T14:48:54",
    "email": "roro@gmail.com",
    "invoice_no": "BP-5F1F5BD9E7-LNP",
    "price_per_quantity": null,
    "record_status": 1,
    "transaction_invoice_no": "FPX16751477326yuoZYft"
  },
  "breakdown_errors": null,
  "token": "dbd44a99-2d0f-470d-91fe-c73e8cdd1848"
}
```
